## These files are auto-requires and are missing. Bug reported to upstream
%global	__requires_exclude pear\\(PHPUnit/Framework.php\\)|pear\\(dbobject.class.php\\)|pear\\(footer.php\\) not |pear\\(kfp-globals.inc.php\\)|pear\\(footer.php\\)
%define		_class		PHP
%define		_subclass	Beautifier
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.1.15
Release:	%mkrel 12
Summary:	Beautifier for PHP
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/PHP_Beautifier/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
Requires: 	php-pear-Log >= 1.8
BuildArch:	noarch



%description
This program reformat and beautify PHP 4 and PHP 5 source code files
automatically. The program is Open Source and distributed under the terms
of PHP Licence. It is written in PHP 5 and has a command line tool.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
# we don't need this for Linux
rm %{buildroot}%{_bindir}/php_beautifier.bat


mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHP_Beautifier.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHP_Beautifier.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/PHP_Beautifier
fi

%files
%doc docs/PHP_Beautifier/*
%{peardir}/*
%{_bindir}/php_beautifier
%{xmldir}/PHP_Beautifier.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.15-12.mga8
+ Revision: 1499141
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.15-11.mga7
+ Revision: 1273761
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.1.15-10.mga6
+ Revision: 943232
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.15-9.mga5
+ Revision: 742592
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.1.15-8.mga5
+ Revision: 734156
- rebuild for pear deps

* Fri Sep 26 2014 tv <tv> 0.1.15-7.mga5
+ Revision: 725195
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.15-6.mga5
+ Revision: 687420
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 0.1.15-5.mga4
+ Revision: 528367
- Mageia 4 Mass Rebuild

* Tue Jun 18 2013 spuhler <spuhler> 0.1.15-4.mga4
+ Revision: 444776
- added pear (footer.php) to the exceptions

* Tue Jun 18 2013 spuhler <spuhler> 0.1.15-3.mga4
+ Revision: 444764
- added pear(dbobject.class.php)\\|pear(footer.php) not \\|pear(kfp-globals.inc.php)  to the exceptions

* Mon Jun 17 2013 spuhler <spuhler> 0.1.15-2.mga4
+ Revision: 444255
- added %%define _requires_exceptions pear(PHPUnit/Framework.php)

* Mon Jun 17 2013 spuhler <spuhler> 0.1.15-1.mga4
+ Revision: 443917
- upgrade to version 0.1.15
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.1.14-5.mga3
+ Revision: 377153
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.1.14-4.mga1
+ Revision: 44039
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-PHP_Beautifier


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.14-4mdv2011.0
+ Revision: 613755
- the mass rebuild of 2010.1 packages

* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.14-3mdv2010.1
+ Revision: 467961
- rediff path patch
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.1.14-2mdv2010.0
+ Revision: 441514
- rebuild

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.1.14-1mdv2009.1
+ Revision: 368312
- Update php pear PHP_Beautifier to version 0.1.14
  Update the diff patch

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.13-3mdv2009.1
+ Revision: 322651
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.13-2mdv2009.0
+ Revision: 237049
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.1.13-1mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.13-1mdv2008.0
+ Revision: 15942
- rediffed P0
- 0.1.13


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.8-1mdv2007.0
+ Revision: 82515
- Import php-pear-PHP_Beautifier

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.8-1mdk
- 0.1.8
- rediffed P0

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.7-1mdk
- 0.1.7
- rediffed P0
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-7mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-5mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-4mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-3mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-1mdk
- initial Mandriva package (PLD import)

